Subject: Re: bug#65913: with-help-window arranges for 'inhibit-read-only' to be set to 't'

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Sep 2023 15:50:45 +0300

> Date: Thu, 14 Sep 2023 10:41:06 +0000
> From: Heime <[email-masked]>
> Cc: uzibalqa <[email-masked]>, [email-masked], [email-masked]
> 
> > So do we. But this issue has nothing to do with how hard it is to
> > work with Emacs. You simply looked for the information you were after
> > in the wrong place, when the right place should have been pretty
> > obvious for someone who writes Lisp programs: the ELisp manual.
> 
> Stefan mentioned a project to have the docstring communicate with the manual
> so that finding the information will not be too laborious.

That's an existing feature, we use it when appropriate.

> > In general, there's no need to mention in each and every doc string
> > that to learn about some subject you should read the manual where that
> > subject is described. This is trivial, and having to repeat that
> > everywhere will just bloat Emacs for no good reason. Consulting the
> > documentation is one of the first lessons that each Emacs user learns,
> > and resisting that lesson is not recommended.
> 
> There could be some manual or metadata that could provide rapid search
> and association capabilities to find relevant information and avoid much
> manual labour.

We have commands for that: "M-x apropos", Info-index, and others.